Bug 1539127 (CVE-2018-6198) - CVE-2018-6198 w3m: insecure temporary files creation when ~/.w3m is unwritable
Summary: CVE-2018-6198 w3m: insecure temporary files creation when ~/.w3m is unwritable
Keywords:
Status: CLOSED NEXTRELEASE
Alias: CVE-2018-6198
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1539128 1539129 1539130
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-26 18:16 UTC by Pedro Sampaio
Modified: 2019-09-29 14:31 UTC (History)
3 users (show)

Fixed In Version: w3m 0.5.3+git20180125
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-24 08:48:44 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-01-26 18:16:23 UTC
A flaw was found in w3m 0.5.3-34. When ~/.w3m is unwritable, w3m uses /tmp in an insecure fashion, which allows a local attacker to craft a symlink attack to overwrite arbitrary files.

Upstream patch:

https://github.com/tats/w3m/commit/18dcbadf2771cdb0c18509b14e4e73505b242753

Comment 1 Pedro Sampaio 2018-01-26 18:16:43 UTC
Created w3m tracking bugs for this issue:

Affects: epel-7 [bug 1539130]
Affects: fedora-all [bug 1539129]

Comment 3 Parag Nemade 2018-06-24 08:48:44 UTC
Fixed for all the requested releases.


Note You need to log in before you can comment on or make changes to this bug.